html, body {
	height: 100%;
	margin: 0;
	padding: 0;
}

html {
	font-size: 16px;
	font-family: sans-serif;
}

body {
	font-family: Raleway, "sans-serif";
	font-size: 1rem;
	color: var(--color-text);
	line-height: 1.6;
	text-align: center;
	background-color: var(--color-bg);
}

section {
	max-width: 1400px;
	margin-bottom: 100px;
	padding: 0 5%;
}

a:hover {
	color: var(--color-text-light);
}

p {
	font-size: 1.25rem;
}

ul {
	list-style: none;
	padding-left: 0;
}

input, label, select, textarea {
	font-family: Roboto, Arial, "sans-serif";
}

h1, h2, h3, h4, a {
	color: #fff;
}

h1, h2, h3, h4, h5, h6 {
	font-family: 'Playfair Display', serif;
}

h1 {
	font-size: 3rem;
	line-height: 1.1;
	margin-top: 20px;
	margin-bottom: 20px;
	letter-spacing: 3px;
	font-style: italic;
	font-weight: 700;
}

h3 {
	font-size: 1.875rem;
	line-height: 1.2;
	margin-top: 20px;
	margin-bottom: 20px;
	letter-spacing: 1px;
	font-weight: 600;
}

h4 {
	font-size: 1.5rem;
	margin-top: 20px;
	margin-bottom: 20px;
	letter-spacing: 2px;
	font-weight: 600;
}
h5 {
	font-size: 1.125rem;
	font-weight: 400;
	margin-bottom: 10px;
	margin-top: 20px;
}

/** allgemeine Klassen **/
/* Back to Top Button */
#backToTop {
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 50px;
    height: 50px;
    background-color: rgba(0,0,0,0.7);
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    transition: all 0.3s ease;
    opacity: 0; /* zunächst unsichtbar */
    pointer-events: none; /* nicht klickbar, solange unsichtbar */
}

#backToTop:hover {
    background-color: rgba(0,0,0,0.9);
    transform: translateY(-3px);
}

.rechtliches {
	text-align: left;
	padding: 50px;
}

/* Sichtbar, wenn aktiv */
#backToTop.show {
    opacity: 1;
    pointer-events: auto;
}

.shadow-image {
    box-shadow: 0 10px 20px rgba(0,0,0,0.5);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.text-box {
	z-index:2;
	position: absolute;
    width: auto;
    height: auto;
}